import type { NextPage } from "next";
import { signIn, signOut, useSession } from "next-auth/react";
import Head from "next/head";

const Home: NextPage = () => {
  const { data: session, status } = useSession();

  return (
    <>
      <Head>
        <title>Tube Archivist</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon/favicon.ico" />
      </Head>

      {console.log("Session", session)}

      <h1>Name: {session?.user?.name}</h1>
      <h1>Status: {status}</h1>
      <h1>Token: {session?.ta_token?.token}</h1>
      <h1>User ID: {session?.ta_token?.user_id}</h1>
      <div
        style={{
          display: "flex",
          flexDirection: "column",
          maxWidth: "100px",
        }}
      >
        <button onClick={() => signIn()}>Sign in</button>
        <button onClick={() => signOut()}>Sign Out</button>
      </div>
    </>
  );
};

export default Home;
